function Tops = points2WorldGUI(app,orangePoints, Width, Height, Tops)
    imagePoints = [orangePoints(1,:);orangePoints(2,:) ; orangePoints(3,:); orangePoints(4,:) ];
                    %LD             PH          LH     PD                  
    worldPoints = [0 Height;Width 0; 0 0 ; Width Height];
    [R,t] = extrinsics(imagePoints,worldPoints, app.IntristicsParams);
   % Tops = flip(Tops);
    Tops = pointsToWorld(app.IntristicsParams, R, t, Tops);
end